package com.emr.dao.his;

import com.emr.entity.his.HISBA5;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA5Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA5 record);

    int insertSelective(HISBA5 record);

    HISBA5 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA5 record);

    int updateByPrimaryKey(HISBA5 record);

    List<HISBA5> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量删除
    int deleteAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量添加
    int SimpleInsert(@Param("list")List<HISBA5> list);
}